I have the same problem. Have you solve the problem yet?

Andy Ng於 2017年9月15日星期五 UTC+8上午11時58分04秒寫道:
>
> Hi all,
>
> Today when I try upgrading from CAS 5.2.0-RC2 to RC3, I was faced with 
> lots of symbols not found error in my custom Java code during the 
> compilation stage.
>
> So I go ahead and download a fresh CAS War Maven Overlay 5.2.x (branch) to 
> test out the problem.
>
> __________________________________________________________________________________________
> I found out that in RC2:
>
> If the only additional dependency in my pom.xml is [
> *cas-server-support-jdbc*]:
> <dependency>
>    <groupId>org.apereo.cas</groupId>
>    <artifactId>*cas-server-support-jdbc*</artifactId>
>    <version>${cas.version}</version>
> </dependency>
>
> And I make an custom java file:
>
> package edu.sso.middleware.cas;
> import *org.apereo.cas.authentication.*;*
> public class CheckCas520RC3Working {
>
> }
>
> It is working in RC2, since [cas-server-suppor-jdbc] 
> include org.apereo.cas.authentication package.
> but it is not working in RC3. It will tell me [package 
> *org.apereo.cas.authentication* does not exist]
>
> __________________________________________________________________________________________
>
> To make RC3 works, I would need to add also add [
> *cas-server-core-api-authentication*] this to my pom.xml:
>
> <dependency>
>     <groupId>org.apereo.cas</groupId>
>     <artifactId>cas-server-support-jdbc</artifactId>
>     <version>${cas.version}</version>
> </dependency>
>
> <dependency>
>    <groupId>org.apereo.cas</groupId>
>    <artifactId>*cas-server-core-api-authentication*</artifactId>
>    <version>${cas.version}</version>
> </dependency>
>
> Then CAS 5.2.0-RC3 will not have error during compilation.
>
> __________________________________________________________________________________________
>
> This to me seems like the dependency mapping have changed from RC2 to RC3.
>
> The question is, if the dependency requirement is being changed from RC2 
> to RC3, how can I know which dependency is changed and is there a list for 
> me to reference? Don't seems to see those changes mentioned in [
> https://apereo.github.io/2017/09/15/520rc3-release/#library-upgrades].
>
> Thanks!
>
> -Andy
>
>

-- 
- Website: https://apereo.github.io/cas
- Gitter Chatroom: https://gitter.im/apereo/cas
- List Guidelines: https://goo.gl/1VRrw7
- Contributions: https://goo.gl/mh7qDG
--- 
You received this message because you are subscribed to the Google Groups "CAS 
Community" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to cas-user+unsubscr...@apereo.org.
To view this discussion on the web visit 
https://groups.google.com/a/apereo.org/d/msgid/cas-user/a23d6bc8-97b2-49f4-b670-eb2b9f981148%40apereo.org.

Reply via email to